<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
	<title>Bootstrap Flex</title>
	<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/css/bootstrap.min.css" integrity="sha384-zCbKRCUGaJDkqS1kPbPd7TveP5iyJE0EjAuZQTgFLD2ylzuqKfdKlfG/eSrtxUkn" crossorigin="anonymous">
	<link rel="stylesheet" type="text/css" href="index.css">
</head>
<body>
	<h1 class="text-center mt-5">Bootstrap Flex</h1>
	<h3 class="text-center my-3">Flex Row</h3>
	<div class="bg-dark d-flex mb-4">
		<div class="bg-primary p-2">Flex item 1</div>
		<div class="bg-danger p-2">Flex item 2</div>
		<div class="bg-success p-2">Flex item 3</div>
	</div>

	<h3 class="text-center my-3">Flex Row Reverse</h3>
	<div class="bg-dark d-flex flex-row-reverse mb-4">
		<div class="bg-primary p-2">Flex item 1</div>
		<div class="bg-danger p-2">Flex item 2</div>
		<div class="bg-success p-2">Flex item 3</div>
	</div>

	<h3 class="text-center my-3">Flex Column</h3>
	<div class="bg-dark d-flex flex-column mb-4">
		<div class="bg-primary p-2">Flex item 1</div>
		<div class="bg-danger p-2">Flex item 2</div>
		<div class="bg-success p-2">Flex item 3</div>
	</div>

	<h3 class="text-center my-3">Flex Column Reverse</h3>
	<div class="bg-dark d-flex flex-column-reverse mb-4">
		<div class="bg-primary p-2">Flex item 1</div>
		<div class="bg-danger p-2">Flex item 2</div>
		<div class="bg-success p-2">Flex item 3</div>
	</div>

	<h3 class="text-center my-3">Flex Column Reverse using CSS</h3>
		<div class="container">
			<div class="item">Flex item 1</div>
			<div class="item">Flex item 2</div>
			<div class="item">Flex item 3</div>
		</div>

	<h3 class="text-center my-3">Span as Flex Column Items</h3>
		<div class="bg-dark d-flex flex-column mb-4">
			<div class="bg-primary p-2">Flex item 1</div>
			<div class="bg-danger p-2">Flex item 2</div>
			<div class="bg-success p-2">Flex item 3</div>
		</div>

	<h2 class="text-center my-5">Justify Content</h2>
	<h3 class="text-center my-5">Justify Content Start</h3>
	<div class="bg-dark d-flex flex-row justify-content-start mb-4">
		<div class="bg-warning p-2">Flex Item 1</div>
		<div class="bg-danger p-2">Flex Item 2</div>
		<div class="bg-info p-2">Flex Item 3</div>
	</div>

	<div class="bg-dark d-flex flex-row-reverse justify-content-start mb-4">
		<div class="bg-warning p-2">Flex Item 1</div>
		<div class="bg-danger p-2">Flex Item 2</div>
		<div class="bg-info p-2">Flex Item 3</div>
	</div>

	<h3 class="text-center my-5">Justify Content End</h3>
	<div class="bg-dark d-flex flex-row justify-content-end mb-4">
		<div class="bg-warning p-2">Flex Item 1</div>
		<div class="bg-danger p-2">Flex Item 2</div>
		<div class="bg-info p-2">Flex Item 3</div>
	</div>

	<div class="bg-dark d-flex flex-row-reverse justify-content-end mb-4">
		<div class="bg-warning p-2">Flex Item 1</div>
		<div class="bg-danger p-2">Flex Item 2</div>
		<div class="bg-info p-2">Flex Item 3</div>
	</div>

	<h3 class="text-center my-5">Justify Content Center</h3>
	<div class="bg-dark d-flex flex-row justify-content-center mb-4">
		<div class="bg-warning p-2">Flex Item 1</div>
		<div class="bg-danger p-2">Flex Item 2</div>
		<div class="bg-info p-2">Flex Item 3</div>
	</div>

	<div class="bg-dark d-flex flex-row-reverse justify-content-center mb-4">
		<div class="bg-warning p-2">Flex Item 1</div>
		<div class="bg-danger p-2">Flex Item 2</div>
		<div class="bg-info p-2">Flex Item 3</div>
	</div>

	<h3 class="text-center my-5">Justify Content Between</h3>
	<div class="bg-dark d-flex flex-row justify-content-between mb-4">
		<div class="bg-warning p-2">Flex Item 1</div>
		<div class="bg-danger p-2">Flex Item 2</div>
		<div class="bg-info p-2">Flex Item 3</div>
	</div>

	<div class="bg-dark d-flex flex-row-reverse justify-content-between mb-4">
		<div class="bg-warning p-2">Flex Item 1</div>
		<div class="bg-danger p-2">Flex Item 2</div>
		<div class="bg-info p-2">Flex Item 3</div>
	</div>

	<h3 class="text-center my-5">Justify Content Around</h3>
	<div class="bg-dark d-flex flex-row justify-content-around mb-4">
		<div class="bg-warning p-2">Flex Item 1</div>
		<div class="bg-danger p-2">Flex Item 2</div>
		<div class="bg-info p-2">Flex Item 3</div>
	</div>

	<div class="bg-dark d-flex flex-row-reverse justify-content-around mb-4">
		<div class="bg-warning p-2">Flex Item 1</div>
		<div class="bg-danger p-2">Flex Item 2</div>
		<div class="bg-info p-2">Flex Item 3</div>
	</div>

	<h2 class="text-center my-5">Align Items</h2>
	<h3 class="text-center my-5">Align Items Start</h3>
	<div class="bg-dark d-flex flex-row align-items-start mb-4" style="height: 50vh;">
		<div class="bg-warning p-2">Flex Item 1</div>
		<div class="bg-danger p-2">Flex Item 2</div>
		<div class="bg-info p-2">Flex Item 3</div>
	</div>

	<div class="bg-dark d-flex flex-row-reverse align-items-start mb-4" style="height: 50vh;">
		<div class="bg-warning p-2">Flex Item 1</div>
		<div class="bg-danger p-2">Flex Item 2</div>
		<div class="bg-info p-2">Flex Item 3</div>
	</div>

	<h3 class="text-center my-5">Align Items End</h3>
	<div class="bg-dark d-flex flex-row align-items-end mb-4" style="height: 50vh;">
		<div class="bg-warning p-2">Flex Item 1</div>
		<div class="bg-danger p-2">Flex Item 2</div>
		<div class="bg-info p-2">Flex Item 3</div>
	</div>

	<div class="bg-dark d-flex flex-row-reverse align-items-end mb-4" style="height: 50vh;">
		<div class="bg-warning p-2">Flex Item 1</div>
		<div class="bg-danger p-2">Flex Item 2</div>
		<div class="bg-info p-2">Flex Item 3</div>
	</div>

	<div class="bg-dark d-flex flex-column align-items-end mb-4" style="height: 50vh;">
		<div class="bg-warning p-2">Flex Item 1</div>
		<div class="bg-danger p-2">Flex Item 2</div>
		<div class="bg-info p-2">Flex Item 3</div>
	</div>

	<div class="bg-dark d-flex flex-column-reverse align-items-end mb-4" style="height: 50vh;">
		<div class="bg-warning p-2">Flex Item 1</div>
		<div class="bg-danger p-2">Flex Item 2</div>
		<div class="bg-info p-2">Flex Item 3</div>
	</div>

	<h3 class="text-center my-5">Align Items Center</h3>
	<div class="bg-dark d-flex flex-row align-items-center mb-4" style="height: 50vh;">
		<div class="bg-warning p-2">Flex Item 1</div>
		<div class="bg-danger p-2">Flex Item 2</div>
		<div class="bg-info p-2">Flex Item 3</div>
	</div>

	<div class="bg-dark d-flex flex-row-reverse align-items-center mb-4" style="height: 50vh;">
		<div class="bg-warning p-2">Flex Item 1</div>
		<div class="bg-danger p-2">Flex Item 2</div>
		<div class="bg-info p-2">Flex Item 3</div>
	</div>

	<div class="bg-dark d-flex flex-column align-items-center mb-4" style="height: 50vh;">
		<div class="bg-warning p-2">Flex Item 1</div>
		<div class="bg-danger p-2">Flex Item 2</div>
		<div class="bg-info p-2">Flex Item 3</div>
	</div>

	<div class="bg-dark d-flex flex-column-reverse align-items-center mb-4" style="height: 50vh;">
		<div class="bg-warning p-2">Flex Item 1</div>
		<div class="bg-danger p-2">Flex Item 2</div>
		<div class="bg-info p-2">Flex Item 3</div>
	</div>

	<h3 class="text-center my-5">Align Items Vertically and Horizontally</h3>
	<div class="bg-dark d-flex flex-row justify-content-end align-items-center mb-4" style="height: 50vh;">
		<div class="bg-warning p-2">Flex Item 1</div>
		<div class="bg-danger p-2">Flex Item 2</div>
		<div class="bg-info p-2">Flex Item 3</div>
	</div>

	<div class="bg-dark d-flex flex-row justify-content-end align-items-end mb-4" style="height: 50vh;">
		<div class="bg-warning p-2">Flex Item 1</div>
		<div class="bg-danger p-2">Flex Item 2</div>
		<div class="bg-info p-2">Flex Item 3</div>
	</div>

	<div class="bg-dark d-flex flex-row justify-content-between align-items-center mb-4" style="height: 50vh;">
		<div class="bg-warning p-2">Flex Item 1</div>
		<div class="bg-danger p-2">Flex Item 2</div>
		<div class="bg-info p-2">Flex Item 3</div>
	</div>

<!-- Mini-Activity -->

	<h3 class="text-center my-5">Mini-Activity with Flex Row</h3>
	<div class="bg-dark d-flex flex-row justify-content-center align-items-center mb-4" style="height: 50vh;">
		<div class="bg-warning p-2">Flex Item 1</div>
		<div class="bg-danger p-2">Flex Item 2</div>
		<div class="bg-info p-2">Flex Item 3</div>
	</div>

	<div class="bg-dark d-flex flex-row justify-content-around align-items-center" style="height: 50vh;">
		<div class="bg-warning p-2">Flex Item 1</div>
		<div class="bg-danger p-2">Flex Item 2</div>
		<div class="bg-info p-2">Flex Item 3</div>
	</div>

	<h2 class="text-center my-5">Flex Column with Align Items and Justify Content</h2>
	<div class="bg-dark d-flex flex-column align-items-center mb-4" style="height: 50vh;">
		<div class="bg-warning p-2" style="width: 20%;">Flex Item 1</div>
		<div class="bg-danger p-2" style="width: 20%;">Flex Item 2</div>
		<div class="bg-info p-2" style="width: 20%;">Flex Item 3</div>
	</div>

	<div class="bg-dark d-flex flex-column justify-content-center align-items-center" style="height: 50vh;">
		<div class="bg-warning p-2">Flex Item 1</div>
		<div class="bg-danger p-2">Flex Item 2</div>
		<div class="bg-info p-2">Flex Item 3</div>
	</div>

	<h3>Mini-Activity- Flex Column</h3>
	<div class="bg-dark mb-4 d-flex flex-column justify-content-end align-items-start" style="height: 50vh;">
		<div class="bg-warning p-2">Flex Item 1</div>
		<div class="bg-danger p-2">Flex Item 2</div>
		<div class="bg-info p-2">Flex Item 3</div>
	</div>

	<div class="bg-dark mb-4 d-flex flex-column align-items-end" style="height: 50vh;">
		<div class="bg-warning p-2">Flex Item 1</div>
		<div class="bg-danger p-2">Flex Item 2</div>
		<div class="bg-info p-2">Flex Item 3</div>
	</div>

	<h3 class="text-center my-5">Flex Wrap</h3>
		<div class="bg-dark d-flex flex-row flex-wrap mb-4">
			<div class="bg-primary p-2">Flex Item 1</div>
			<div class="bg-danger p-2">Flex Item 2</div>
			<div class="bg-success p-2">Flex Item 3</div>
			<div class="bg-warning p-2">Flex Item 1</div>
			<div class="bg-info p-2">Flex Item 2</div>
			<div class="bg-primary p-2">Flex Item 3</div>
			<div class="bg-success p-2">Flex Item 1</div>
			<div class="bg-danger p-2">Flex Item 2</div>
			<div class="bg-warning p-2">Flex Item 3</div>
		</div>

	<script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
	<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/js/bootstrap.bundle.min.js" integrity="sha384-fQybjgWLrvvRgtW6bFlB7jaZrFsaBXjsOMm/tB9LTS58ONXgqbR9W8oWht/amnpF" crossorigin="anonymous"></script>
</body>
</html>